<?php

namespace App\Api\Http\Controllers\Api\V1\Followup;

use App\Api\Http\Resources\Followup\FollowupCollection;
use App\Http\Controllers\Controller;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Http\JsonResponse;

class FollowupController extends Controller
{
    public function index(Request $request): JsonResponse
    {
        $followupBy = User::where('status', 1)->get();
        return $this->success(
            'followup By!',
            new FollowupCollection($followupBy)
        );
    }
}
